osgDB::OutputException Class Reference

`#include <OutputStream>`

Inheritance diagram for osgDB::OutputException:

## Public Member Functions

| OutputException (const std::vector< std::string > &fields, const std::string &err)
const std::string & | getField () const
const std::string & | getError () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

std::string | _field
std::string | _error
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Constructor & Destructor Documentation

## OutputException()

osgDB::OutputException::OutputException | ( | const std::vector< std::string > & | fields,
|  | const std::string & | err )

inline

References _error, and _field.

## Member Function Documentation

## getError()

const std::string & osgDB::OutputException::getError | ( |  | ) | const

inline

References _error.

## getField()

const std::string & osgDB::OutputException::getField | ( |  | ) | const

inline

References _field.

## Member Data Documentation

## _error

std::string osgDB::OutputException::_error

protected

Referenced by getError(), and OutputException().

## _field

std::string osgDB::OutputException::_field

protected

Referenced by getField(), and OutputException().

The documentation for this class was generated from the following file:

- OutputStream